Package com.treemap

# Class NoTreeMapField<N,Column>

java.lang.Object
com.treemap.NoTreeMapField<N,Column>

All Implemented Interfaces:
  `TreeMapField<N,Column>`

public class NoTreeMapField<N,Column> extends Object implements TreeMapField<N,Column>
Indicates that no TreeMapField is selected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoTreeMapField()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Column`
  `getIndex()`
  The index of the column in the model.
  `String`
  `getName()`
  Returns the name of the field.
  `Class`
  `getType()`
  Returns the most specific superclass for all the values.
  `Object`
  `getValue(N node)`
  Returns the value for the specified row.
  `int`
  `hashCode()`
  `boolean`
  `isEveryValueUnique()`
  Indicates whether the field only contains unique values.
  `boolean`
  `isValid()`
  Indicates whether the field is valid.
  `boolean`
  `isVisual()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoTreeMapField

    public NoTreeMapField()

- ## Method Details

  - ### getType

    public Class getType()
    Description copied from interface: `TreeMapField`
    Returns the most specific superclass for all the values.
    Specified by:
      `getType` in interface `TreeMapField<N,Column>`
    Returns:
      the common ancestor class of the object values.

  - ### getName

    public String getName()
    Returns the name of the field.
    Specified by:
      `getName` in interface `TreeMapField<N,Column>`
    Returns:
      the name of the field.

  - ### getValue

    public Object getValue(N node)
    Returns the value for the specified row.
    Specified by:
      `getValue` in interface `TreeMapField<N,Column>`
    Parameters:
      `node` - the node whose value should be queried.
    Returns:
      the value Object at the specified row.

  - ### isVisual

    public boolean isVisual()

  - ### isValid

    public boolean isValid()
    Indicates whether the field is valid.
    Specified by:
      `isValid` in interface `TreeMapField<N,Column>`
    Returns:
      true if it is valid, false otherwise.

  - ### isEveryValueUnique

    public boolean isEveryValueUnique()
    Indicates whether the field only contains unique values.
    Specified by:
      `isEveryValueUnique` in interface `TreeMapField<N,Column>`
    Returns:
      true if all values are unique, false otherwise.

  - ### getIndex

    public Column getIndex()
    The index of the column in the model.
    Specified by:
      `getIndex` in interface `TreeMapField<N,Column>`
    Returns:
      the index of the column

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`